package eu.etaxonomy.taxeditor.ui.section.agent;

import org.eclipse.swt.events.SelectionListener;

import eu.etaxonomy.cdm.model.agent.Person;
import eu.etaxonomy.taxeditor.ui.element.AbstractFormSection;
import eu.etaxonomy.taxeditor.ui.element.CdmFormFactory;
import eu.etaxonomy.taxeditor.ui.element.ICdmFormElement;
import eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement;

public class NomenclaturalTeamMemberElement extends TeamMemberElement {

	public NomenclaturalTeamMemberElement(CdmFormFactory cdmFormFactory, AbstractFormSection section, Person entity,
			SelectionListener removeListener, int style) {
		super(cdmFormFactory, section, entity, removeListener, style);
		
	}

	@Override
	public void createControls(ICdmFormElement element, int style) {
		selection_person = formFactory
				.createSelectionElementWithAbbreviatedTitle(Person.class,getConversationHolder(),
				        this, "Person", null,
						EntitySelectionElement.EDITABLE | EntitySelectionElement.SELECTABLE,
						style);
		if (entity != null){
			setEntity(entity);
		}
	}
}
