/**
* Copyright (C) 2013 EDIT
* European Distributed Institute of Taxonomy
* http://www.e-taxonomy.eu
*
* The contents of this file are subject to the Mozilla Public License Version 1.1
* See LICENSE.TXT at the top of this package for the full license terms.
*/
package eu.etaxonomy.taxeditor.ui.section;

import eu.etaxonomy.cdm.api.conversation.IConversationEnabled;
import eu.etaxonomy.taxeditor.ui.element.IEnableableFormElement;
import eu.etaxonomy.taxeditor.ui.element.IEntityElement;

/**
 * @author pplitzner
 * @date 30.07.2013
 */
public interface ICdmDetailElement<T>
		extends IEntityElement<T>, IEnableableFormElement, IConversationEnabled{

    public abstract void setEntity(T entity);
}